[Code] Python Problem ('Anfängerproblem')

Dieses Thema im Forum "Programmierung & Entwicklung" wurde erstellt von Z3R0 PO!nt, 27. Februar 2009 .

  1. Diese Seite verwendet Cookies. Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies. Weitere Informationen
  1. #1 27. Februar 2009
    Python Problem ('Anfängerproblem')

    Hallo ich habe folgendes problem in Python und zwar:
    Code:
    Python 3.0.1 (r301:69561, Feb 13 2009, 20:04:18) [MSC v.1500 32 bit (Intel)] on win32
    Type "copyright", "credits" or "license()" for more information.
    >>> a = '12'
    >>> a
    '12'
    >>> print a
    SyntaxError: invalid syntax (<pyshell#2>, line 1)
    Wieso wird bei Print nichts angezeigt sondern eine Fehlermeldung ??

    Noch ein Beispiel:
    Code:
    Python 3.0.1 (r301:69561, Feb 13 2009, 20:04:18) [MSC v.1500 32 bit (Intel)] on win32
    Type "copyright", "credits" or "license()" for more information.
    >>> for b in range(1, 11):
     print b
     
    SyntaxError: invalid syntax (<pyshell#1>, line 2)
    Kann mir jemand helfen und ein Lösungsvorschlag erklären (zeigen) ??


    Greeez

    Z3R0 PO!nt
     

  2. Anzeige
  3. #2 27. Februar 2009
    AW: Python Problem ('Anfängerproblem')

    Weil du python 3 verwendest. Sollte so gehen
    a = '12'
    print(a)
     
  4. #3 27. Februar 2009
  5. #4 27. Februar 2009
    AW: Python Problem ('Anfängerproblem')

    dat ist der grund!

    du hast anscheinend ein tutorial gefunden, welches noch 2.5 bzw. 2.6 benutzt -> entweder tut wechseln (was wahrscheinlich nicht funktioniert, weil es soweit ich das überschaue noch keines für python 3 gibt), oder eben auf 2.6 umsatteln, das soweit ich informiert bin auch die syntax von python 3 interpretiert.. (konsole: "python -3 skript.py")

    da sehr viele python module noch nicht python 3 kompatibel sind würde ich dir raten auf 2.6 zu setzen
     
  6. #5 28. Februar 2009
    AW: Python Problem ('Anfängerproblem')

    Viele Module sind nicht mal für 2.6 kompatibel ^^
    Ich hab die 2.6er mal ausprobiert, und CherryPy und viele andere haben Deprecation Warnings geschmissen.

    Hab dann wieder Python 2.5 installiert :D
     

  7. Videos zum Thema
Die Seite wird geladen...